ne_get_request_target
Prev | neon API reference | Next

## Name

ne_get_request_target — retrieve request target

## Synopsis

    #include <ne_request.h>

`const ne_uri *ne_get_request_target(` | ne_request *req`)`;

## Description

The `ne_get_request_target` returns the request target URI as a pointer to an ne_uri object. The "target resource" of a request is defined per Section 7.1 of RFC 9110 and is derived from the parameters used to create the request with ne_request_create and the parameters used to create the session with ne_session_create.

## Return value

The `ne_get_request_target` function returns a ne_uri, or `NULL` if it was not possible to create the target URI. The latter can only occur if the path used to create the request object was not a valid URI path. Note that the `path` field of the returned object can be the empty string if the `authority-form` of the URI is used.

## History

`ne_get_request_target` is available in neon 0.34.0 and later.

## See also

ne_request_create, ne_session_create.

Prev | Up | Next
ne_set_request_body_buffer | Home | ne_redirect_register